Support
Login
Your Password

Sales
North America
Phone: +1 (905)-655-9262
Fax: +1 (905)-655-9395
Email: info@add-on.com

Europe
Phone: +45 7944 7000
Fax: +45 7944 7001

China
Phone: +86 (21) 2221 8396
Email: info-china@add-on.com
Support
Denmark
+45 7944 7002

Europe
+44 (0) 203 002 3889

North America
+1 (202)-536-4165
Knowledgebase: Resource Central
KB0033 - Unable to install RC 3.7 on top of legacy RC due to version mismatch

 

Summary

When user upgrades an older version to RC 3.7, RC 3.7 installer does not accept that.

 

Cause

In RC installer, there is a checking system to ensure only a defined list of legacy software versions can be upgraded. When RC 3.7 installer is launched, it checks the appSettings file and if the existing version on top of which RC 3.7 is installed has no match in the defined list, then RC 3.7 installer stops this upgrading process.

The supported versions are as follows:

RC3.5 Official Release

Resource Central 3.5.0008.0000

RC3.5 Service Release 1

Resource Central 3.5.0008.0000 SR1

RC3.5 Service Release 2

Resource Central 3.5.0008.0000 SR2

RC3.6 Official Release

Resource Central 3.6.0001.0017

RC3.6 Hotfix 1

Resource Central 3.6.0001.0018

RC3.6 Hotfix 2

Resource Central 3.6.0001.0018(add-in change only)

RC3.6 Hotfix 3

Resource Central 3.6.0001.0019

RC3.6 Hotfix 4

Resource Central 3.6.0002.0003

 

Resolution

User has to manually correct the version value in appSettings.config file to match with the list of versions accepted by RC 3.7 installer. By default, this file is stored at: C:\inetpub\wwwroot\ResourceCentral\. Open this file and correct the version value:

 

Properties

Applies to: RC 3.7

Reference: TFS #3560

Knowledge base ID: 0033

Last updated: Feb 23, 2016